org.gradle.api.initialization

## Interface ConfigurableIncludedBuild

- All Superinterfaces:
    IncludedBuild

      @Incubating
      public interface ConfigurableIncludedBuild
      extends IncludedBuild

  A build that is to be included in the composite.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dependencySubstitution(Action<? super DependencySubstitutions> action)` Configures the dependency substitution rules for this included build.

    - ### Methods inherited from interface org.gradle.api.initialization.IncludedBuild

      `getName, getProjectDir, task`

- - ### Method Detail

    - #### dependencySubstitution

          @Incubating
          void dependencySubstitution(Action<? super DependencySubstitutions> action)

      Configures the dependency substitution rules for this included build. The action receives an instance of `DependencySubstitutions` which can be configured with substitution rules. Project dependencies are resolved in the context of the included build.
      Since:
        2.5
      See Also:
        `ResolutionStrategy.dependencySubstitution(Action)`, `DependencySubstitutions`